### org.jfree.layouting.output.pageable

# Class PhysicalPageKey

- `java.lang.Object`
- - `org.jfree.layouting.output.pageable.PhysicalPageKey`

Implemented Interfaces:
  Serializable

`public final class PhysicalPageKey`
`extends java.lang.Object`
`implements Serializable`

A physical page-key identifies a generated page.

Author:
  Thomas Morgner

  ## Constructor Summary

  `PhysicalPageKey(LogicalPageKey logicalPage, int x, int y)`

  ## Method Summary

  `boolean`

  `equals(Object o)`

  `LogicalPageKey`

  `getLogicalPage()`

  `int`

  `getX()`

  `int`

  `getY()`

  `int`

  `hashCode()`

## Constructor Details

### PhysicalPageKey

    public PhysicalPageKey(LogicalPageKey logicalPage,
                           int x,
                           int y)

## Method Details

### equals

    public boolean equals(Object o)

### getLogicalPage

    public LogicalPageKey getLogicalPage()

### getX

    public int getX()

### getY

    public int getY()

### hashCode

    public int hashCode()